# Uses of Interface
org.bukkit.scoreboard.Score

Packages that use Score
Package
Description
org.bukkit.scoreboard
Interfaces used to manage the client side score display system.

## Uses of Score in org.bukkit.scoreboard

Methods in org.bukkit.scoreboard that return Score
Modifier and Type
Method
Description
`@NotNull Score`
Objective.`getScore(@NotNull String entry)`
Gets an entry's Score for an Objective on this Scoreboard.
`@NotNull Score`
Objective.`getScore(@NotNull OfflinePlayer player)`
Gets a player's Score for an Objective on this Scoreboard
`@NotNull Score`
Objective.`getScoreFor(Entity entity)`
Gets an entity's Score for an Objective on this Scoreboard.
Methods in org.bukkit.scoreboard that return types with arguments of type Score
Modifier and Type
Method
Description
`@NotNull Set<Score>`
Scoreboard.`getScores(@NotNull String entry)`
Gets all scores for an entry on this Scoreboard
`@NotNull Set<Score>`
Scoreboard.`getScores(@NotNull OfflinePlayer player)`
Gets all scores for a player on this Scoreboard
`@NotNull Set<Score>`
Scoreboard.`getScoresFor(Entity entity)`
Gets all scores for a entity on this Scoreboard